GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::KeyNewUIDDialog Class Reference
Inheritance diagram for GpgFrontend::UI::KeyNewUIDDialog:
Collaboration diagram for GpgFrontend::UI::KeyNewUIDDialog:

## Signals
void | SignalUIDCreated ()

## Public Member Functions
| KeyNewUIDDialog (const KeyId &key, QWidget *parent=nullptr)
| Construct a new Key New U I D Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Slots
void | slot_create_new_uid ()

## Private Member Functions
bool | check_email_address (const QString &str)

## Private Attributes
GpgKey | m_key_
QLineEdit * | name_ {}
QLineEdit * | email_ {}
QLineEdit * | comment_ {}
QPushButton * | create_button_ {}
QStringList | error_messages_
QLabel * | error_label_ {}
QRegularExpression | re_email_

## Additional Inherited Members
Protected Member Functions inherited from GpgFrontend::UI::GeneralDialog
void | setPosCenterOfScreen ()
void | movePosition2CenterOfParent ()

## Constructor & Destructor Documentation

## ◆ KeyNewUIDDialog()

GpgFrontend::UI::KeyNewUIDDialog::KeyNewUIDDialog | ( | const KeyId & | key,
|  | QWidget * | parent = `nullptr`
| ) |  |

Construct a new Key New U I D Dialog object.

Parameters

  key |
  parent |

References GpgFrontend::UI::SignalStation::GetInstance(), and slot_create_new_uid().

## Member Function Documentation

## ◆ check_email_address()

bool GpgFrontend::UI::KeyNewUIDDialog::check_email_address | ( | const QString & | str | ) |
| private

Parameters

  str |

Returns
  true
  false

Referenced by slot_create_new_uid().

## ◆ slot_create_new_uid

void GpgFrontend::UI::KeyNewUIDDialog::slot_create_new_uid | ( |  | ) |
| private slot

check for errors in keygen dialog input

create error message

References check_email_address(), and GpgFrontend::SingletonFunctionObject< GpgUIDOperator >::GetInstance().

Referenced by KeyNewUIDDialog().

## Member Data Documentation

## ◆ re_email_

QRegularExpression GpgFrontend::UI::KeyNewUIDDialog::re_email_
| private

Initial value:
{
R"((?:[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9]))\.){3}(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9])|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\]))"}

The documentation for this class was generated from the following files:

- src/ui/dialog/keypair_details/KeyNewUIDDialog.h
- src/ui/dialog/keypair_details/KeyNewUIDDialog.cpp